<?php
/**
 * Executes a SQL query and returns the result set.
 *
 * @param PDO $pdo The PDO object for the database connection.
 * @param array $param An associative array containing parameters for the query.
 *                     - 'fields': An array of fields to select from the table with aliases.
 *                     - 'table': The name of the table from which to select data.
 *                     - 'where': (Optional) An array of conditions to filter the rows.
 *                                Each condition should be an array with three elements:
 *                                column name, comparison operator, and value.
 *                     - 'condition': (Optional) Additional conditions to be appended directly to the SQL query.
 * @return array The fetched rows as an associative array.
 */
  function qry_data($pdo , $param=array()){
    // $dataset = array();
	$datafield = array();
    foreach ($param['fields'] as $key => $value) {
      array_push($datafield,$value." as ".$key);
    }
    // Where
    $datawhere = array();
    if(isset($param['where'])){
      foreach ($param['where'] as $key => $value) {
        array_push($datawhere,$value[0].' '.$value[1].' '.$value[2]);
      }
    }
    if(count($datawhere)>0){
      $where = " where ".implode(' and ',$datawhere);
    }else{
      $where = "";
    }
    // Condition
    $datacondition = array();
    if(isset($param['condition'])){
      foreach ($param['condition'] as $key => $value) {
        array_push($datacondition,$value);
      }
    }
    if(count($datacondition)>0){
      $condition = implode(' ',$datacondition);
    }else{
      $condition='';
    }
    $sql = "select ".implode(',',$datafield)." from ".$param['table']." ".$where.' '.$condition;
    // var_dump($sql);
    $stmt = $pdo->query($sql); $row=array();
    $row = $stmt->fetchAll(PDO::FETCH_ASSOC);
    return $row;
  }
 ?>
