<?PHP
// ตรวจสอบและเซ็ต CSRF token
if (!isset($_SESSION['CSRFToken'])) {
	$_SESSION['CSRFToken'] = bin2hex(random_bytes(32));
}
?>
<!DOCTYPE html>
<html lang="en">
<head cache-control: private, max-age=0>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="keywords" content="The PHP Generator SCRUDS Operation using PHP/DataTable">
	<meta name="author" content="@TaskS and @Sawit">
	<meta name="description" content="Admin Panel Management">
	<meta http-equiv="X-XSS-Protection" content="1; mode=block">
	<meta http-equiv="X-Content-Type-Options" content="nosniff">
	<meta name="robots" content="none">
	<meta name="referrer" content="strict-origin">
	<meta http-equiv="Content-Security-Policy: default-src 'self'; script-src 'self' 'unsafe-inline'; style-src 'self' 'unsafe-inline'">
	<meta name="CSRFToken" content="<?php echo htmlspecialchars($_SESSION['CSRFToken']); ?>" />
	<link rel="shortcut icon" href="favicon.ico">
	<title>Report </title>
    <link rel="stylesheet" href="../views/css/style.css">
	<link href="../views/css/bootstrap.min.css" rel="stylesheet" >
	<link rel="stylesheet" href="../views/css/all.min.css" >
</head>
<body>
<?php
require_once("_CSRFFilter.php");
include "connect.php";
require_once 'function_gdata.php';
// $dataset = qry_data($pdo,array());
// var_dump($dataset);
// $query0 = "SELECT status, count(status) as total
//           FROM tbcdb
//           GROUP BY status";
$query0 = qry_data($pdo,array(
  'fields'=>array(
    'status'=>'status',
    'total'=> 'count(status)',
  ),
  'table'=>'tbcdb',
  'where'=>array(

  ),
  'condition'=>array(
    'group by status',
  ),
));
foreach ($query0 as $key => $value) {
	$dataset['bkkp'] =  $value['status'];
	$dataset['bkkc'] =  $value['total'];
}
// var_dump($dataset);
// exit;

// $query = "SELECT status, count(status) as total
//           FROM tbcdb
//           GROUP BY status
//           ORDER BY total DESC";

$query1 = qry_data($pdo,array(
  'fields'=>array(
    'status'=>'status',
    'total'=> 'count(status)',
  ),
  'table'=>'tbcdb',
  'where'=>array(

  ),
  'condition'=>array(
		'group by status',
    'order by total desc ',
  ),
));
foreach ($query1 as $key => $value) {
	if ($value['total'] != 0) {
		$dataset['data'][] = $value['total'];
		$dataset['labels'][] = $value['status'];
		// Generate random color for each status
		$dataset['backgroundColors'][] = 'rgba(' . rand(0, 255) . ',' . rand(0, 255) . ',' . rand(0, 255) . ',0.2)';
	}
}
// var_dump($dataset);
// exit;
$sum=0;
$sum = array_sum($dataset['data']);
$dataset['type']=$_GET['type'];
$pdo=NULL;
?>
<center>
<table  width='30%'>
<div style="margin-top:50px; width: 30%;">
	<center><h5>กราฟสรุปรายงานจำนวนเรื่องร้องเรียนร้องทุกข์<br> แยกตามสถานะการดำเนินการ</h5>
	     <?php if ($_GET['type']=='bar') {?>
	       	<i class="fas fa-chart-pie"></i>&nbsp <a href="../process/gpvinfo.php?type=pie">กดเลือกแสดงกราฟวงกลม</a>
		 <?php } ?>
		 <?php if ($_GET['type']=='pie') {?>
	       	<i class="fas fa-chart-bar"></i>&nbsp <a href="../process/gpvinfo.php?type=bar">กดเลือกแสดงกราฟแท่ง</a>
		 <?php } ?> &nbsp&nbsp&nbsp&nbsp<i class="fas fa-window-close">&nbsp</i>
		 <a href="javascript:window.open('','_self').close();">ปิดหน้าปัจจุบัน</a>
	</center>
	<canvas id="myChart"></canvas>
</div>
</table>
<div id="print-screen"  style="width: 75%;">
	<form action='../process/reportinfo.php' method='get' target='_blank' ><br>
	  <i class="fas fa-list">&nbsp</i>
      <input type="submit" value="แสดงตารางสรุปรายงานจำนวนเรื่องร้องเรียนร้องทุกข์ แยกตามสถานะการดำเนินการ (พิมพ์รายงาน)">
	  
    </form>
<?php
echo "<table border=2 class='table table-striped' width='75%' >
        <tr>
            <th>สถานะการดำเนินการ (Status)</th>
            <th class='not' style='text-align:right'>จำนวน (Amount)</th>
        </tr>
		";
foreach ($dataset['data'] as $key => $total) {
	if ($total <> 0) {
		echo "<tr><td>".$dataset['labels'][$key]."</td><td align='right'>" . number_format($total, 0) . "</td></tr>";
	}
}
echo "<tr><th>จำนวนเรื่องร้องเรียนร้องทุกข์ ทุกจังหวัด</th><th class='not' style='text-align:right'>" . number_format($sum, 0) . "</th></tr>";
echo "</table>
      </div></center>";
?>
</body>
<script src="../views/js/chart.js"></script>
<script>
	var ctx = document.getElementById('myChart').getContext('2d');
	var myChart = new Chart(ctx, {
		type: '<?php echo $dataset['type']; ?>',
		data: {
			labels: <?php echo json_encode($dataset['labels']); ?>,
			datasets: [{
				label: 'จำนวนเรื่องร้องเรียนร้องทุกข์',
				data: <?php echo json_encode($dataset['data']); ?>,
				backgroundColor: <?php echo json_encode($dataset['backgroundColors']); ?>,
				borderColor: <?php echo json_encode($dataset['backgroundColors']); ?>,
				borderWidth: 1
			}]
		},
		options: {
					responsive: true,
					plugins: {
							  legend: {
								position: 'top',
							  },
							  title: {
								display: true,
								text: ''
							  }
							}
  }
	});
</script>
</html>
